org.eclipse.aether.util.graph.transformer

## Class ConflictResolver.ConflictContext

- java.lang.Object
- - org.eclipse.aether.util.graph.transformer.ConflictResolver.ConflictContext

- Enclosing class:
    ConflictResolver

      public static final class ConflictResolver.ConflictContext
      extends Object

  A context used to hold information that is relevant for resolving version and scope conflicts.
  See Also:
    `ConflictResolver.VersionSelector`, `ConflictResolver.ScopeSelector`
  Restriction:
    This class is not intended to be instantiated by clients in production code, the constructor may change without notice and only exists to enable unit testing.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConflictResolver.ConflictContext(DependencyNode root, Object conflictId, Map<DependencyNode,Object> conflictIds, Collection<ConflictResolver.ConflictItem> items)` Creates a new conflict context.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<ConflictResolver.ConflictItem>` | `getItems()` Gets the collection of conflict items in this context.
    `Boolean` | `getOptional()` Gets the effective optional flag of the winning dependency.
    `DependencyNode` | `getRoot()` Gets the root node of the dependency graph being transformed.
    `String` | `getScope()` Gets the effective scope of the winning dependency.
    `ConflictResolver.ConflictItem` | `getWinner()` Gets the conflict item which has been selected as the winner among the conflicting dependencies.
    `boolean` | `isIncluded(DependencyNode node)` Determines whether the specified dependency node belongs to this conflict context.
    `void` | `setOptional(Boolean optional)` Sets the effective optional flag of the winning dependency.
    `void` | `setScope(String scope)` Sets the effective scope of the winning dependency.
    `void` | `setWinner(ConflictResolver.ConflictItem winner)` Sets the conflict item which has been selected as the winner among the conflicting dependencies.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConflictResolver.ConflictContext

          public ConflictResolver.ConflictContext(DependencyNode root,
                                          Object conflictId,
                                          Map<DependencyNode,Object> conflictIds,
                                          Collection<ConflictResolver.ConflictItem> items)

      Creates a new conflict context.
      Parameters:
        `root` - The root node of the dependency graph, must not be `null`.
        `conflictId` - The conflict id for the set of conflicting dependencies in this context, must not be `null`.
        `conflictIds` - The mapping from dependency node to conflict id, must not be `null`.
        `items` - The conflict items in this context, must not be `null`.
      Restriction:
        This class is not intended to be instantiated by clients in production code, the constructor may change without notice and only exists to enable unit testing.

  - ### Method Detail

    - #### getRoot

          public DependencyNode getRoot()

      Gets the root node of the dependency graph being transformed.
      Returns:
        The root node of the dependeny graph, never `null`.

    - #### isIncluded

          public boolean isIncluded(DependencyNode node)

      Determines whether the specified dependency node belongs to this conflict context.
      Parameters:
        `node` - The dependency node to check, must not be `null`.
      Returns:
        `true` if the given node belongs to this conflict context, `false` otherwise.

    - #### getItems

          public Collection<ConflictResolver.ConflictItem> getItems()

      Gets the collection of conflict items in this context.
      Returns:
        The (read-only) collection of conflict items in this context, never `null`.

    - #### getWinner

          public ConflictResolver.ConflictItem getWinner()

      Gets the conflict item which has been selected as the winner among the conflicting dependencies.
      Returns:
        The winning conflict item or `null` if not set yet.

    - #### setWinner

          public void setWinner(ConflictResolver.ConflictItem winner)

      Sets the conflict item which has been selected as the winner among the conflicting dependencies.
      Parameters:
        `winner` - The winning conflict item, may be `null`.

    - #### getScope

          public String getScope()

      Gets the effective scope of the winning dependency.
      Returns:
        The effective scope of the winning dependency or `null` if none.

    - #### setScope

          public void setScope(String scope)

      Sets the effective scope of the winning dependency.
      Parameters:
        `scope` - The effective scope, may be `null`.

    - #### getOptional

          public Boolean getOptional()

      Gets the effective optional flag of the winning dependency.
      Returns:
        The effective optional flag or `null` if none.

    - #### setOptional

          public void setOptional(Boolean optional)

      Sets the effective optional flag of the winning dependency.
      Parameters:
        `optional` - The effective optional flag, may be `null`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.